Package com.smartgwt.client.widgets.form.fields

# Class RadioGroupItem

java.lang.Object
com.smartgwt.client.core.JsObject
com.smartgwt.client.core.DataClass
com.smartgwt.client.core.RefDataClass
com.smartgwt.client.data.Field
com.smartgwt.client.widgets.form.fields.FormItem
com.smartgwt.client.widgets.form.fields.RadioGroupItem

All Implemented Interfaces:
  `HasHandlers`, `HasBlurHandlers`, `HasChangedHandlers`, `HasChangeHandlers`, `HasClickHandlers`, `HasDoubleClickHandlers`, `HasEditorEnterHandlers`, `HasEditorExitHandlers`, `HasFocusHandlers`, `HasIconClickHandlers`, `HasIconKeyPressHandlers`, `HasItemHoverHandlers`, `HasKeyDownHandlers`, `HasKeyPressHandlers`, `HasKeyUpHandlers`, `HasPendingStatusChangedHandlers`, `HasPickerIconClickHandlers`, `HasShowContextMenuHandlers`, `HasTitleClickHandlers`, `HasTitleDoubleClickHandlers`, `HasTitleHoverHandlers`, `HasValueHoverHandlers`, `HasValueIconClickHandlers`

public class RadioGroupItem extends FormItem
FormItem that shows a set of mutually exclusive options as a group of radio buttons.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class com.smartgwt.client.widgets.form.fields.FormItem

  `FormItem.CustomStateGetter, FormItem.StateCustomizer`

- ## Field Summary

  ### Fields inherited from class com.smartgwt.client.widgets.form.fields.FormItem

  `configOnly, scClassName, warnOnEditorTypeConversion, warnOnEditorTypeConversionDefault`

  ### Fields inherited from class com.smartgwt.client.core.RefDataClass

  `id`

  ### Fields inherited from class com.smartgwt.client.core.DataClass

  `factoryCreated, factoryProperties`

  ### Fields inherited from class com.smartgwt.client.core.JsObject

  `jsObj`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `RadioGroupItem()`
  `RadioGroupItem(JavaScriptObject jsObj)`
  `RadioGroupItem(String name)`
  `RadioGroupItem(String name, String title)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static void`
  `changeAutoChildDefaults(String autoChildName, Canvas defaults)`
  Changes the defaults for Canvas AutoChildren named `autoChildName`.
  `static void`
  `changeAutoChildDefaults(String autoChildName, FormItem defaults)`
  Changes the defaults for FormItem AutoChildren named `autoChildName`.
  `static void`
  `changePickerIconDefaults(FormItemIcon defaults)`
  `Boolean`
  `getAllowEmptyValue()`
  When set to true, allows a checked RadioItem to be unchecked when clicked, clearing the value from the `RadioGroupItem`.
  `CheckboxItem`
  `getCheckboxItemProperties()`
  Properties to apply to the customized `CheckboxItem` used for radioGroupItems when `useNativeRadioItems` is false.
  `Integer`
  `getCustomIconSize()`
  If set, this property overrides the size of the image rendered when `useNativeRadioItems` is false.
  `String`
  `getEditProxyConstructor()`
  Default class used to construct the `EditProxy` for this component when the component is `first placed into edit mode`.
  `boolean`
  `getFillHorizontalSpace()`
  If `vertical` is false, and this item has a specified width, should options be spread out evenly to fill the specified width?
  `static RadioGroupItem`
  `getOrCreateRef(JavaScriptObject jsObj)`
  `String`
  `getTextBoxStyle()`
  Base CSS class applied to the text for items within this radio group.
  `boolean`
  `getUseNativeRadioItems()`
  When set to false, replaces each native radio element in the group with a `CheckboxItem` which can be customized via `checkboxItemProperties`.
  `String`
  `getValueAsString()`
  Return the value tracked by this form item.
  `Boolean`
  `getVertical()`
  True == display options vertically, false == display in a single row
  `Boolean`
  `getWrap()`
  Should the text for items within this radio group wrap?
  `Boolean`
  `pendingStatusChanged(DynamicForm form, FormItem item, boolean pendingStatus, Object newValue, Object value)`
  Notification method called when `showPending` is enabled and this radio group should either clear or show its pending visual state.
  `RadioGroupItem`
  `setAllowEmptyValue(Boolean allowEmptyValue)`
  When set to true, allows a checked RadioItem to be unchecked when clicked, clearing the value from the `RadioGroupItem`.
  `RadioGroupItem`
  `setCheckboxItemProperties(CheckboxItem checkboxItemProperties)`
  Properties to apply to the customized `CheckboxItem` used for radioGroupItems when `useNativeRadioItems` is false.
  `RadioGroupItem`
  `setCustomIconSize(Integer customIconSize)`
  If set, this property overrides the size of the image rendered when `useNativeRadioItems` is false.
  `static void`
  `setDefaultProperties(RadioGroupItem radioGroupItemProperties)`
  Class level method to set the default properties of this class.
  `RadioGroupItem`
  `setEditProxyConstructor(String editProxyConstructor)`
  Default class used to construct the `EditProxy` for this component when the component is `first placed into edit mode`.
  `RadioGroupItem`
  `setFillHorizontalSpace(boolean fillHorizontalSpace)`
  If `vertical` is false, and this item has a specified width, should options be spread out evenly to fill the specified width?
  `void`
  `setItemProperties(FormItem itemProperties)`
  Properties to apply to all generated items within this RadioGroup.
  `RadioGroupItem`
  `setTextBoxStyle(String textBoxStyle)`
  Base CSS class applied to the text for items within this radio group.
  `RadioGroupItem`
  `setUseNativeRadioItems(boolean useNativeRadioItems)`
  When set to false, replaces each native radio element in the group with a `CheckboxItem` which can be customized via `checkboxItemProperties`.
  `void`
  `setValueDisabled(Object value, boolean disabled)`
  Disable or Enable a specific option within this radioGroup
  `void`
  `setValueHoverFormatter(FormItemHoverFormatter hoverFormatter)`
  The FormItemHoverFormatter should return the HTML to display in a hover canvas when the user holds the mousepointer over a particular value in this item.
  `RadioGroupItem`
  `setVertical(Boolean vertical)`
  True == display options vertically, false == display in a single row
  `RadioGroupItem`
  `setWrap(Boolean wrap)`
  Should the text for items within this radio group wrap?

  ### Methods inherited from class com.smartgwt.client.widgets.form.fields.FormItem

  `_getValue, addBlurHandler, addChangedHandler, addChangeHandler, addClickHandler, addDoubleClickHandler, addEditorEnterHandler, addEditorExitHandler, addFocusHandler, addIcon, addIcon, addIconClickHandler, addIconKeyPressHandler, addItemHoverHandler, addKeyDownHandler, addKeyPressHandler, addKeyUpHandler, addPendingStatusChangedHandler, addPickerIconClickHandler, addShowContextMenuHandler, addTitleClickHandler, addTitleDoubleClickHandler, addTitleHoverHandler, addValueHoverHandler, addValueIconClickHandler, applyFormula, asSGWTComponent, blurItem, canEditCriterion, checkFormItemType, clearErrors, clearValue, disable, disableIcon, enable, enableIcon, error, error, errorIfNotCreated, focusAfterItem, focusInItem, getAccessKey, getAlign, getAllowExpressions, getAlwaysFetchMissingValues, getAlwaysShowControlBox, getApplyAlignToText, getApplyHeightToTextBox, getAriaRole, getAttribute, getAttributeAsBoolean, getAttributeAsBoolean, getAttributeAsDate, getAttributeAsDouble, getAttributeAsFloat, getAttributeAsInt, getAttributeAsJavaScriptObject, getAttributeAsObject, getAttributeAsString, getAutoComplete, getAutoCompleteKeywords, getBrowserInputType, getBrowserSpellCheck, getCanEdit, getCanEditOpaqueValues, getCanFocus, getCanHover, getCanSelectText, getCanTabToIcons, getCanvasAutoChild, getCellHeight, getCellStyle, getChangeOnKeypress, getClassName, getClipStaticValue, getClipTitle, getConfig, getContainerWidget, getControlStyle, getCriteriaField, getCriterion, getCriterion, getCursorPosition, getCustomState, getDataPath, getDateFormatter, getDecimalPad, getDecimalPrecision, getDefaultIconSrc, getDefaultOperator, getDefaultValue, getDeferActionConversion, getDestroyed, getDisabled, getDisabledHover, getDisableIconsOnReadOnly, getDisplayField, getDisplayFieldName, getDisplayValue, getDisplayValue, getEditorTypeConfig, getEditPendingCSSText, getEmptyDisplayValue, getEmptyValueIcon, getEnableTitleClickWhenDisabled, getEndRow, getErrorIconHeight, getErrorIconProperties, getErrorIconSrc, getErrorIconWidth, getErrorMessageWidth, getErrors, getEscapeHTML, getExportFormat, getExtraControlTableCSS, getExtraTextBoxCSS, getFetchMissingValues, getFieldName, getFilterLocally, getForeignDisplayField, getForm, getFormat, getFormItemAutoChild, getFormula, getFullDataPath, getGlobalTabIndex, getGridColNum, getGridRowNum, getHeight, getHeightAsString, getHidden, getHint, getHintStyle, getHoverAlign, getHoverDelay, getHoverFocusKey, getHoverHeight, getHoverHeightAsString, getHoverOpacity, getHoverPersist, getHoverStyle, getHoverVAlign, getHoverWidth, getHoverWidthAsString, getIcon, getIconBaseStyle, getIconHeight, getIconHSpace, getIconPageRect, getIconPrompt, getIconRect, getIcons, getIconTabPosition, getIconVAlign, getIconWidth, getID, getImageURLPrefix, getImageURLSuffix, getImplicitSave, getImplicitSaveOnBlur, getInputFormat, getLeft, getLinearColSpan, getLinearColSpanAsString, getLinearEndRow, getLinearEndRowAsString, getLinearStartRow, getLinearStartRowAsString, getLinearWidth, getLinearWidthAsString, getListGrid, getLoadingDisplayValue, getLocateItemBy, getMinHintWidth, getMultiple, getMultipleValueSeparator, getName, getNullOriginalValueText, getOperator, getOptionCriteria, getOptionDataSource, getOptionDataSourceAsString, getOptionFilterContext, getOptionOperationId, getOptionTextMatchStyle, getOriginalValueMessage, getPageLeft, getPageRect, getPageTop, getPaletteDefaults, getPermanentlyHidden, getPicker, getPickerEscapeHTML, getPickerIcon, getPickerIcon, getPickerIconHeight, getPickerIconName, getPickerIconPrompt, getPickerIconProperties, getPickerIconSrc, getPickerIconStyle, getPickerIconTabPosition, getPickerIconWidth, getPickerSnapEdge, getPickerSnapTo, getPixelHeight, getPixelWidth, getPrintReadOnlyTextBoxStyle, getPrintTextBoxStyle, getPrintTitleStyle, getPrompt, getReadOnlyCanSelectText, getReadOnlyControlStyle, getReadOnlyDisplay, getReadOnlyHover, getReadOnlyTextBoxStyle, getReadOnlyWhen, getRect, getRedrawOnChange, getRejectInvalidValueOnChange, getRequired, getRequiredMessage, getRequiredRightTitlePrefix, getRequiredRightTitleSuffix, getRequiredTitlePrefix, getRequiredTitleSuffix, getRequiredWhen, getRightTitlePrefix, getRightTitleSuffix, getRowSpan, getSaveOnEnter, getScClassName, getSelectedRecord, getSelectOnClick, getSelectOnFocus, getShouldSaveValue, getShowClippedTitleOnHover, getShowClippedValueOnHover, getShowDeletions, getShowDisabled, getShowDisabledIconsOnFocus, getShowDisabledPickerIconOnFocus, getShowErrorIcon, getShowErrorIconInline, getShowErrorStyle, getShowErrorText, getShowFocused, getShowFocusedErrorState, getShowFocusedIcons, getShowFocusedPickerIcon, getShowHint, getShowIcons, getShowIconsOnFocus, getShowImageAsURL, getShowOldValueInHover, getShowOver, getShowOverIcons, getShowPending, getShowPickerIcon, getShowPickerIconOnFocus, getShowPickerOnFocus, getShowPickerOnFocusDelay, getShowRTL, getShowTitle, getShowValueIconOnly, getShowVoiceAssistIcon, getStartRow, getStaticHeight, getStopOnError, getStoreDisplayValues, getSupportsCutPasteEvents, getSuppressOptionDSFallback, getSuppressValueIcon, getSynchronousValidation, getTabIndex, getTextAlign, getTextBoxVPad, getTextFormula, getTimeFormatter, getTitle, getTitleAlign, getTitleColSpan, getTitleOrientation, getTitlePrefix, getTitleStyle, getTitleSuffix, getTitleVAlign, getTooltip, getTop, getTreatEmptyAsNull, getType, getUpdateControlOnOver, getUpdatePickerIconOnOver, getUpdateTextBoxOnOver, getUseAdvancedCriteria, getUseDisabledHintStyleForReadOnly, getUseLocalDisplayFieldValue, getValidateOnChange, getValidateOnExit, getValidOperators, getVAlign, getValue, getValueAsFloat, getValueAsInteger, getValueAsLong, getValueAsRecordList, getValueDeselectedCSSText, getValueField, getValueFieldName, getValueIconAriaRole, getValueIconHeight, getValueIconLeftPadding, getValueIconRightPadding, getValueIconSize, getValueIconWidth, getValueMap, getValueMapAsArray, getVisible, getVisibleHeight, getVisibleTitleWidth, getVisibleWhen, getVisibleWidth, getWarnOnEditorTypeConversion, getWarnOnEditorTypeConversionDefault, getWidth, getWidthAsString, getWrapHintText, getWrapStaticValue, getWrapTitle, handleWarnOnEditorTypeConversion, hasAdvancedCriteria, hasErrors, hide, hideIcon, invalidateDisplayValueCache, isAssignableFrom, isConfigOnly, isCreated, isCutEvent, isDisabled, isDrawn, isFocused, isInGrid, isPasteEvent, isVisible, linkToInstanceUponCreate, mapDisplayToValue, mapValueToDisplay, mapValueToDisplay, mapValueToDisplay, redraw, redraw, removeIcon, selectedRecordChanged, setAccessKey, setAlign, setAllowExpressions, setAlwaysFetchMissingValues, setAlwaysShowControlBox, setApplyAlignToText, setApplyHeightToTextBox, setAriaRole, setAriaState, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAutoChildConstructor, setAutoChildProperties, setAutoChildProperties, setAutoChildProperties, setAutoChildVisibility, setAutoComplete, setAutoCompleteKeywords, setBrowserInputType, setBrowserSpellCheck, setCanEdit, setCanEditCriterionPredicate, setCanEditOpaqueValues, setCanFocus, setCanHover, setCanSelectText, setCanTabToIcons, setCellHeight, setCellStyle, setChangeOnKeypress, setClipStaticValue, setClipTitle, setColSpan, setColSpan, setConfigOnly, setControlStyle, setCriteriaField, setCriterion, setCriterionGetter, setCriterionSetter, setCustomStateGetter, setDataPath, setDateFormatter, setDecimalPad, setDecimalPrecision, setDefaultIconSrc, setDefaultOperator, setDefaultProperties, setDefaultValue, setDefaultValue, setDefaultValue, setDefaultValue, setDefaultValue, setDefaultValue, setDefaultValue, setDeferActionConversion, setDisabled, setDisabledHover, setDisableIconsOnReadOnly, setDisplayField, setDisplayFormat, setDisplayFormat, setEditorProperties, setEditorType, setEditorType, setEditorType, setEditorValueFormatter, setEditorValueParser, setEditPendingCSSText, setEmptyDisplayValue, setEmptyValueIcon, setEnableTitleClickWhenDisabled, setEndRow, setErrorFormatter, setErrorIconHeight, setErrorIconProperties, setErrorIconSrc, setErrorIconWidth, setErrorMessageWidth, setErrorOrientation, setErrors, setErrors, setEscapeHTML, setExportFormat, setExtraControlTableCSS, setExtraTextBoxCSS, setFetchMissingValues, setFilterLocally, setForeignDisplayField, setFormat, setFormula, setGlobalTabIndex, setHeight, setHeight, setHidden, setHint, setHintStyle, setHoverAlign, setHoverDelay, setHoverFocusKey, setHoverHeight, setHoverHeight, setHoverOpacity, setHoverPersist, setHoverStyle, setHoverVAlign, setHoverWidth, setHoverWidth, setIconBaseStyle, setIconDisabled, setIconHeight, setIconHSpace, setIconPrompt, setIcons, setIconShowOnFocus, setIconVAlign, setIconWidth, setID, setImageURLPrefix, setImageURLSuffix, setImplicitSave, setImplicitSaveOnBlur, setInitHandler, setInputFormat, setInputTransformer, setItemHoverFormatter, setItemTitleHoverFormatter, setItemValueHoverFormatter, setJavaScriptObject, setLeft, setLinearColSpan, setLinearColSpan, setLinearEndRow, setLinearEndRow, setLinearStartRow, setLinearStartRow, setLinearWidth, setLinearWidth, setLoadingDisplayValue, setLocateItemBy, setMinHintWidth, setMultiple, setMultipleValueSeparator, setName, setNullOriginalValueText, setNullProperty, setOperator, setOptionCriteria, setOptionDataSource, setOptionDataSource, setOptionFilterContext, setOptionOperationId, setOptionTextMatchStyle, setOriginalValueMessage, setPermanentlyHidden, setPickerEscapeHTML, setPickerIconHeight, setPickerIconName, setPickerIconPrompt, setPickerIconProperties, setPickerIconSrc, setPickerIconStyle, setPickerIconWidth, setPickerSnapEdge, setPickerSnapTo, setPrintReadOnlyTextBoxStyle, setPrintTextBoxStyle, setPrintTitleStyle, setPrompt, setProperty, setProperty, setProperty, setProperty, setProperty, setReadOnlyCanSelectText, setReadOnlyControlStyle, setReadOnlyDisplay, setReadOnlyHover, setReadOnlyTextBoxStyle, setReadOnlyWhen, setRedrawOnChange, setRejectInvalidValueOnChange, setRequired, setRequiredMessage, setRequiredRightTitlePrefix, setRequiredRightTitleSuffix, setRequiredTitlePrefix, setRequiredTitleSuffix, setRequiredWhen, setRightTitlePrefix, setRightTitleSuffix, setRowSpan, setSaveOnEnter, setScClassName, setSelectOnClick, setSelectOnFocus, setShouldSaveValue, setShowClippedTitleOnHover, setShowClippedValueOnHover, setShowDeletions, setShowDisabled, setShowDisabledIconsOnFocus, setShowDisabledPickerIconOnFocus, setShowErrorIcon, setShowErrorIconInline, setShowErrorStyle, setShowErrorText, setShowFocused, setShowFocusedErrorState, setShowFocusedIcons, setShowFocusedPickerIcon, setShowHint, setShowIcons, setShowIconsOnFocus, setShowIfCondition, setShowImageAsURL, setShowOldValueInHover, setShowOver, setShowOverIcons, setShowPending, setShowPickerIcon, setShowPickerIconOnFocus, setShowPickerOnFocus, setShowPickerOnFocusDelay, setShowRTL, setShowTitle, setShowValueIconOnly, setShowVoiceAssistIcon, setStartRow, setStateCustomizer, setStaticHeight, setStopOnError, setStoreDisplayValues, setSupportsCutPasteEvents, setSuppressOptionDSFallback, setSuppressValueIcon, setSynchronousValidation, setTabIndex, setTextAlign, setTextBoxVPad, setTextFormula, setTimeFormatter, setTitle, setTitleAlign, setTitleColSpan, setTitleHoverFormatter, setTitleOrientation, setTitlePrefix, setTitleStyle, setTitleSuffix, setTitleVAlign, setTooltip, setTop, setTreatEmptyAsNull, setType, setUpdateControlOnOver, setUpdatePickerIconOnOver, setUpdateTextBoxOnOver, setUseAdvancedCriteria, setUseDisabledHintStyleForReadOnly, setUseLocalDisplayFieldValue, setUseObjectFactoryForTypeFallback, setValidateOnChange, setValidateOnExit, setValidators, setValidOperators, setVAlign, setValue, setValue, setValue, setValue, setValue, setValue, setValueByDisplayValue, setValueByDisplayValue, setValueDeselectedCSSText, setValueField, setValueFormatter, setValueIconAriaRole, setValueIconHeight, setValueIconLeftPadding, setValueIconMapper, setValueIconRightPadding, setValueIcons, setValueIconSize, setValueIconWidth, setValueMap, setValueMap, setVisible, setVisibleWhen, setWarnOnEditorTypeConversion, setWarnOnEditorTypeConversionDefault, setWidth, setWidth, setWrapHintText, setWrapStaticValue, setWrapTitle, shouldApplyHeightToTextBox, shouldFetchMissingValue, shouldSaveOnEnter, shouldStopKeyPressBubbling, show, showIcon, showPicker, stopHover, storeValue, storeValue, updateState, validate, valueClipped`

  ### Methods inherited from class com.smartgwt.client.data.Field

  `getCanExport, getExportTitle, getPrimaryKey, getSortByField, setCanExport, setExportTitle, setPrimaryKey, setSortByField`

  ### Methods inherited from class com.smartgwt.client.core.RefDataClass

  `getRef, getRef, internalSetID`

  ### Methods inherited from class com.smartgwt.client.core.DataClass

  `applyFactoryProperties, doAddHandler, fireEvent, getAttributeAsDoubleArray, getAttributeAsElement, getAttributeAsIntArray, getAttributeAsLong, getAttributeAsMap, getAttributeAsObject, getAttributeAsRecord, getAttributeAsStringArray, getAttributes, getHandlerCount, isFactoryCreated, setAttribute, setAttribute, setAttribute, setAttributeAsJavaObject, setFactoryCreated`

  ### Methods inherited from class com.smartgwt.client.core.JsObject

  `equals, getJsObj, hashCode, setJsObj`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface com.google.gwt.event.shared.HasHandlers

  `fireEvent`

- ## Constructor Details

  - ### RadioGroupItem

    public RadioGroupItem()

  - ### RadioGroupItem

    public RadioGroupItem(JavaScriptObject jsObj)

  - ### RadioGroupItem

    public RadioGroupItem(String name)

  - ### RadioGroupItem

    public RadioGroupItem(String name, String title)

- ## Method Details

  - ### getOrCreateRef

    public static RadioGroupItem getOrCreateRef(JavaScriptObject jsObj)

  - ### changeAutoChildDefaults

    public static void changeAutoChildDefaults(String autoChildName, Canvas defaults)
    Changes the defaults for Canvas AutoChildren named `autoChildName`.
    Parameters:
      `autoChildName` - name of an AutoChild to customize the defaults for.
      `defaults` - Canvas defaults to apply. These defaults override any existing properties without destroying or wiping out non-overridden properties. For usage tips on this param, see `SGWTProperties`.
    See Also:
      - `AutoChildUsage`

  - ### changeAutoChildDefaults

    public static void changeAutoChildDefaults(String autoChildName, FormItem defaults)
    Changes the defaults for FormItem AutoChildren named `autoChildName`.
    Parameters:
      `autoChildName` - name of an AutoChild to customize the defaults for.
      `defaults` - FormItem defaults to apply. These defaults override any existing properties without destroying or wiping out non-overridden properties. For usage tips on this param, see `SGWTProperties`.
    See Also:
      - `AutoChildUsage`

  - ### changePickerIconDefaults

    public static void changePickerIconDefaults(FormItemIcon defaults)

  - ### setAllowEmptyValue

    public RadioGroupItem setAllowEmptyValue(Boolean allowEmptyValue)
    When set to true, allows a checked RadioItem to be unchecked when clicked, clearing the value from the `RadioGroupItem`.

    Note that this is not a default behavior of native radios and could impact compliance with accessibility standards depending on the application.

    Parameters:
      `allowEmptyValue` - New allowEmptyValue value. Default value is false
    Returns:
      `RadioGroupItem` instance, for chaining setter calls

  - ### getAllowEmptyValue

    public Boolean getAllowEmptyValue()
    When set to true, allows a checked RadioItem to be unchecked when clicked, clearing the value from the `RadioGroupItem`.

    Note that this is not a default behavior of native radios and could impact compliance with accessibility standards depending on the application.

    Returns:
      Current allowEmptyValue value. Default value is false

  - ### setCheckboxItemProperties

    public RadioGroupItem setCheckboxItemProperties(CheckboxItem checkboxItemProperties)
    Properties to apply to the customized `CheckboxItem` used for radioGroupItems when `useNativeRadioItems` is false.
    Parameters:
      `checkboxItemProperties` - New checkboxItemProperties value. Default value is null
    Returns:
      `RadioGroupItem` instance, for chaining setter calls
    See Also:
      - `Appearance overview and related methods`

  - ### getCheckboxItemProperties

    public CheckboxItem getCheckboxItemProperties()
    Properties to apply to the customized `CheckboxItem` used for radioGroupItems when `useNativeRadioItems` is false.
    Returns:
      Current checkboxItemProperties value. Default value is null
    See Also:
      - `Appearance overview and related methods`

  - ### setCustomIconSize

    public RadioGroupItem setCustomIconSize(Integer customIconSize)
    If set, this property overrides the size of the image rendered when `useNativeRadioItems` is false.
    Parameters:
      `customIconSize` - New customIconSize value. Default value is null
    Returns:
      `RadioGroupItem` instance, for chaining setter calls

  - ### getCustomIconSize

    public Integer getCustomIconSize()
    If set, this property overrides the size of the image rendered when `useNativeRadioItems` is false.
    Returns:
      Current customIconSize value. Default value is null

  - ### setEditProxyConstructor

    public RadioGroupItem setEditProxyConstructor(String editProxyConstructor)
    Default class used to construct the `EditProxy` for this component when the component is `first placed into edit mode`.
    Overrides:
      `setEditProxyConstructor` in class `FormItem`
    Parameters:
      `editProxyConstructor` - New editProxyConstructor value. Default value is "RadioGroupItemEditProxy"
    Returns:
      `RadioGroupItem` instance, for chaining setter calls
    See Also:
      - `SCClassName`

  - ### getEditProxyConstructor

    public String getEditProxyConstructor()
    Default class used to construct the `EditProxy` for this component when the component is `first placed into edit mode`.
    Overrides:
      `getEditProxyConstructor` in class `FormItem`
    Returns:
      Current editProxyConstructor value. Default value is "RadioGroupItemEditProxy"
    See Also:
      - `SCClassName`

  - ### setFillHorizontalSpace

    public RadioGroupItem setFillHorizontalSpace(boolean fillHorizontalSpace)
    If `vertical` is false, and this item has a specified width, should options be spread out evenly to fill the specified width?
    Parameters:
      `fillHorizontalSpace` - New fillHorizontalSpace value. Default value is false
    Returns:
      `RadioGroupItem` instance, for chaining setter calls
    See Also:
      - `Appearance overview and related methods`

  - ### getFillHorizontalSpace

    public boolean getFillHorizontalSpace()
    If `vertical` is false, and this item has a specified width, should options be spread out evenly to fill the specified width?
    Returns:
      Current fillHorizontalSpace value. Default value is false
    See Also:
      - `Appearance overview and related methods`

  - ### setTextBoxStyle

    public RadioGroupItem setTextBoxStyle(String textBoxStyle)
    Base CSS class applied to the text for items within this radio group.
    If this method is called after the component has been drawn/initialized: Setter for `textBoxStyle`.
    Overrides:
      `setTextBoxStyle` in class `FormItem`
    Parameters:
      `textBoxStyle` - new `textBoxStyle`. Default value is "labelAnchor"
    Returns:
      `RadioGroupItem` instance, for chaining setter calls
    See Also:
      - `FormItemBaseStyle`
      - `Appearance overview and related methods`

  - ### getTextBoxStyle

    public String getTextBoxStyle()
    Base CSS class applied to the text for items within this radio group.
    Overrides:
      `getTextBoxStyle` in class `FormItem`
    Returns:
      Current textBoxStyle value. Default value is "labelAnchor"
    See Also:
      - `FormItemBaseStyle`
      - `Appearance overview and related methods`

  - ### setUseNativeRadioItems

    public RadioGroupItem setUseNativeRadioItems(boolean useNativeRadioItems)
    When set to false, replaces each native radio element in the group with a `CheckboxItem` which can be customized via `checkboxItemProperties`.
    Parameters:
      `useNativeRadioItems` - New useNativeRadioItems value. Default value is true
    Returns:
      `RadioGroupItem` instance, for chaining setter calls
    See Also:
      - `Appearance overview and related methods`

  - ### getUseNativeRadioItems

    public boolean getUseNativeRadioItems()
    When set to false, replaces each native radio element in the group with a `CheckboxItem` which can be customized via `checkboxItemProperties`.
    Returns:
      Current useNativeRadioItems value. Default value is true
    See Also:
      - `Appearance overview and related methods`

  - ### setVertical

    public RadioGroupItem setVertical(Boolean vertical)
    True == display options vertically, false == display in a single row
    Parameters:
      `vertical` - New vertical value. Default value is true
    Returns:
      `RadioGroupItem` instance, for chaining setter calls
    See Also:
      - `Appearance overview and related methods`

  - ### getVertical

    public Boolean getVertical()
    True == display options vertically, false == display in a single row
    Returns:
      Current vertical value. Default value is true
    See Also:
      - `Appearance overview and related methods`

  - ### setWrap

    public RadioGroupItem setWrap(Boolean wrap)
    Should the text for items within this radio group wrap?
    Parameters:
      `wrap` - New wrap value. Default value is null
    Returns:
      `RadioGroupItem` instance, for chaining setter calls
    See Also:
      - `Appearance overview and related methods`

  - ### getWrap

    public Boolean getWrap()
    Should the text for items within this radio group wrap?
    Returns:
      Current wrap value. Default value is null
    See Also:
      - `Appearance overview and related methods`

  - ### pendingStatusChanged

    public Boolean pendingStatusChanged(DynamicForm form, FormItem item, boolean pendingStatus, Object newValue, Object value)
    Notification method called when `showPending` is enabled and this radio group should either clear or show its pending visual state.

    The default behavior is that the `titleStyle` and `cellStyle` are updated to include/exclude the "Pending" suffix. In addition, the label for the newly-selected option will have a different color. Returning `false` will cancel this default behavior.

    Parameters:
      `form` - the managing `DynamicForm` instance.
      `item` - the form item itself (also available as "this").
      `pendingStatus` - `true` if the item should show its pending visual state; `false` otherwise.
      `newValue` - the current form item value.
      `value` - the value that would be restored by a call to `DynamicForm.resetValues()`.
    Returns:
      `false` to cancel the default behavior.

  - ### setDefaultProperties

    public static void setDefaultProperties(RadioGroupItem radioGroupItemProperties)
    Class level method to set the default properties of this class. If set, then all existing and subsequently created instances of this class will automatically have default properties corresponding to the properties of the class instance passed to this function. This is a powerful feature that eliminates the need for users to create a separate hierarchy of subclasses that only alter the default properties of this class. Can also be used for skinning / styling purposes.

    Note: This method is intended for setting default attributes only and will affect all instances of the underlying class (including those automatically generated in JavaScript). This method should not be used to apply standard EventHandlers or override methods for a class - use a custom subclass instead. Calling this method after instances have been created can result in undefined behavior, since it bypasses any setters and a class instance may have already examined a particular property and not be expecting any changes through this route.

    Parameters:
      `radioGroupItemProperties` - properties that should be used as new defaults when instances of this class are created
    See Also:
      - `SGWTProperties`

  - ### getValueAsString

    public String getValueAsString()
    Return the value tracked by this form item.
    Returns:
      value of this element

  - ### setValueDisabled

    public void setValueDisabled(Object value, boolean disabled)
    Disable or Enable a specific option within this radioGroup
    Parameters:
      `value` - value of option to disable
      `disabled` - true to disable the option, false to enable it

  - ### setValueHoverFormatter

    public void setValueHoverFormatter(FormItemHoverFormatter hoverFormatter)
    The FormItemHoverFormatter should return the HTML to display in a hover canvas when the user holds the mousepointer over a particular value in this item. Return null to suppress the hover canvas altogether.
    Overrides:
      `setValueHoverFormatter` in class `FormItem`
    Parameters:
      `hoverFormatter` - the hover formatter

  - ### setItemProperties

    public void setItemProperties(FormItem itemProperties) throws IllegalStateException
    Properties to apply to all generated items within this RadioGroup. This allows you to customize the generated radio items for this item. Note that this intended for simple customizations where there is no direct equivalent setting available on the RadioGroupItem itself - for example appearance settings such as `showFocused`. Some customizations (for example attempting to set the `name` for the item) are invalid and unsupported.

    Note : This is an advanced setting.

    Parameters:
      `itemProperties` -
    Throws:
      `IllegalStateException` - this property cannot be changed after the component has been created